Subject: Re: bug#41026: Improve documentation of `makunbound' and `fmakunbound'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 May 2020 17:21:14 +0300

> From: Stefan Kangas <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 02 May 2020 22:25:57 +0200
> 
> Thanks.  Based on your feedback, this is what I came up with. WDYT?

LGTM, thanks.

> BTW, according to (elisp) Function Cells:
> 
>      Note that void is not the same as ‘nil’ or the symbol ‘void’.  The
>   symbols ‘nil’ and ‘void’ are Lisp objects, and can be stored into a
>   function cell just as any other object can be (and they can be valid
>   functions if you define them in turn with ‘defun’).  A void function
>   cell contains no object whatsoever.
> 
> So I suppose that means that the old `fmakunbound' docstring was
> incorrect in saying: "Make SYMBOL's function definition be nil."?

I think it just said what it did in a confusing way.